datacache <- new.env(hash=TRUE, parent=emptyenv())

clariomdratrnrefseq <- function() showQCData("clariomdratrnrefseq", datacache)
clariomdratrnrefseq_dbconn <- function() dbconn(datacache)
clariomdratrnrefseq_dbfile <- function() dbfile(datacache)
clariomdratrnrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
clariomdratrnrefseq_dbInfo <- function() dbInfo(datacache)

clariomdratrnrefseqORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "clariomdratrnrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "clariomdratrnrefseq", "chip clariomdratrnrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("clariomdratrnrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(clariomdratrnrefseq_dbconn())
}

